import { IForm, IFormEvents, IFormEvent } from '@zeedhi/common';
import { IEvent } from '@zeedhi/core';

export interface IFormEditEvents extends IFormEvents {
	cancelClick?: IEvent<IFormEvent> | string;
	saveClick?: IEvent<IFormEvent> | string;
}

export interface IFormEdit extends IForm {
	title?: string;
	events?: IFormEditEvents;
}
